:root {
  --color-primario: #f7941d;
  --color-secundario: #f7941d;
  --color-texto: #ffffff;
  --fuente-base: 'Montserrat', sans-serif;
  --font-weight: bold;  

  --letter-size-header:16px;
  --color-header:#000;
  --color-footer:#1a2a58;

}


body {
    font-family: var(--fuente-base);
    margin: 0;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

.text-justify {
    text-align: justify;
}

.center-wrapper {
    color: white;
    display: flex;
    align-items: center;       /* Centra verticalmente */
    justify-content: center;   /* Centra horizontalmente */
    height: 60vh;             /* Ocupa el alto total de la pantalla */
    text-align: center;        /* Alinea el texto si es necesario */
}

.tipografia{
    font-family: var(--fuente-base);
    font-size: var(--letter-size-header);
    font-weight: var(--font-weight);
}

/* ==== MAIN ==== */
main{
    flex: 1;
}
.navbar-brand span {
    font-size: 1.1rem;
    letter-spacing: 0.1px;
}

/* ==== FOOTER ==== */
footer {
    background-color:var(--color-footer);
    font-size: 0.8rem;

}
footer a {
    color: var(--color-texto);
}
footer a:hover {
    color: #ccc;
}

/* ==== ICONOS SOCIALES ==== */
.social-menu i {
    font-size: 1.2rem;
    margin: 0 5px;
    transition: color 0.3s ease;
}

.btn-warning {
    background-color: var(--color-primario); /* Nuevo color */
    border-color: #ffc720;     /* Opcional: Borde personalizado */
    color: #fff;               /* Texto claro para contraste */
}

.btn-warning:hover {
    background-color: #ffc720;
    border-color: var(--color-primario); /* Nuevo color */
    color: #fff;      
}

.img-quienes-somos{
    width: 800px;
    height: 500px;
}

.whatsapp-float {
  position: fixed;
  text-decoration: none;
  bottom: 20px;
  right: 20px;
  width: 56px;
  height: 56px;
  background-color: #25D366;
  color: white;
  font-size: 24px;
  border-radius: 50%;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.3);
  z-index: 1000;
  transition: transform 0.3s ease;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
}
.whatsapp-float:hover {
  transform: scale(1.1);
}



/* ==== MEDIA QUERIES ==== */
@media (max-width: 768px) {

    .img-quienes-somos{
        width: 800px;
        height: 200px;
    }

    .center-wrapper {
        height: 100vh;             /* Ocupa el alto total de la pantalla */
    }

    .whatsapp-float {
        font-size: 24px;
        padding: 12px;
        bottom: 16px;
        right: 16px; }
  }
